## eole-nsswitch 2.4.0-1~1.gbpe170a6

=== Makefile ===
################################
# Makefile pour eole-nsswitch
################################

SOURCE=eole-nsswitch
VERSION=2.4
EOLE_VERSION=2.4
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-nsswitch (2.4.0-1~1.gbpe170a6) UNRELEASED; urgency=low

  ** SNAPSHOT build @e170a62eef55506fc17e139a9554c384af4151e4 **

  * [e170a62] Packaging pour eole-nsswitch (Ref #1882 @20m)

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 06 Dec 2013 15:00:13 +0100

=== debian/control ===
Source: eole-nsswitch
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-nsswitch
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-nsswitch/repository

Package: eole-nsswitch
Architecture: all
Depends: ${misc:Depends}, 
Description: Configuration nsswitch pour les modules EOLE
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## eole-nsswitch 2.6.0-7

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,9 @@
 ################################
 
 SOURCE=eole-nsswitch
-VERSION=2.4
-EOLE_VERSION=2.4
+VERSION=2.6
+EOLE_VERSION=2.6
+EOLE_RELEASE=2.6.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-nsswitch (2.6.0-7) eole-2.6-unstable; urgency=low

  [ Garette Emmanuel ]
  * [7fe9229] systemd (ref #16611)
  * [f43adb2] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [6437fc7] Garette Emmanuel: Update package since “debian/eole/2.6.0-6”

 -- Garette Emmanuel <egarette@cadoles.com>  Fri, 24 Jun 2016 15:33:53 +0200

eole-nsswitch (2.6.0-6) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [e1209fd] Prise en charge des services dans debian/rules

  [ EOLE Build Daemon ]
  * [b84544f] Daniel Dehennin: Update package since “debian/eole/2.6.0-5”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 24 Jun 2016 14:32:15 +0200

eole-nsswitch (2.6.0-5) eole-2.6-unstable; urgency=low

  [ Garette Emmanuel ]
  * [cae9eba] systemd (ref #16611)

  [ EOLE Build Daemon ]
  * [e6cf950] Garette Emmanuel: Update package since “debian/eole/2.6.0-4”

 -- Garette Emmanuel <egarette@cadoles.com>  Fri, 24 Jun 2016 14:00:25 +0200

eole-nsswitch (2.6.0-4) eole-2.6-unstable; urgency=low

  [ Garette Emmanuel ]
  * [5643d16] dependance dh-systemd (ref #16611)

  [ EOLE Build Daemon ]
  * [34df66f] Garette Emmanuel: Update package since “debian/eole/2.6.0-3”

 -- Garette Emmanuel <egarette@cadoles.com>  Fri, 24 Jun 2016 12:21:08 +0200

eole-nsswitch (2.6.0-3) eole-2.6-unstable; urgency=low

  [ Garette Emmanuel ]
  * [9fcaa0b] ajout de --with systemd (ref #16611)

  [ EOLE Build Daemon ]
  * [6c19d33] Garette Emmanuel: Update package since “debian/eole/2.6.0-2”

 -- Garette Emmanuel <egarette@cadoles.com>  Fri, 24 Jun 2016 12:15:37 +0200

eole-nsswitch (2.6.0-2) eole-2.6-unstable; urgency=low

  [ Garette Emmanuel ]
  * [f90ec58] erreur dans le nom du template (ref #16611)
  * [ec891f2] Merge branch 'master' into dist/eole/2.6.0/master

  [ EOLE Build Daemon ]
  * [6e74ce5] Garette Emmanuel: Update package since “debian/eole/2.6.0-1”

 -- Garette Emmanuel <egarette@cadoles.com>  Fri, 24 Jun 2016 12:06:57 +0200

eole-nsswitch (2.6.0-1) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [f76eef1] Preparation pour EOLE 2.4.2-alpha1
  * [36c2ab3] Preparation pour EOLE 2.5
  * [2a2d01d] Prepare version 2.5.1-a1
  * [14c1d14] Merge tag 'release/2.5.1_1' into dist/eole/2.5/master
  * [ca833a0] Nouvel espace de nommage des tags Debian
  * [893782e] Release version 2.5.1
  * [44d400d] Prepare version 2.5.2
  * [07a315b] Merge tag 'release/2.5.2' into dist/eole/2.5/master
  * [983b742] Prepare version 2.6.0
  * [d197228] Merge tag 'release/2.6.0' into dist/eole/2.6.0/master

  [ Garette Emmanuel ]
  * [6400be4] desactiver ldap de nsswitch au démarrage (ref #16611 @6h)
  * [94d19f4] Merge branch 'master' into dist/eole/2.6.0/master
  * [2a6ae3f] ajout des scripts de démarrage nsswitch (ref #16611)

  [ EOLE Build Daemon ]
  * [01563ec] Garette Emmanuel: Update package since “debian/eole/2.4.1-2”

 -- Garette Emmanuel <egarette@cadoles.com>  Fri, 24 Jun 2016 11:51:25 +0200

eole-nsswitch (2.4.1-2) eole-2.4-unstable; urgency=low

  [ Benjamin Bohard ]
  * [1236dc5] La section Conflicts du debian/control n'est pas insérée au bon endroit.

  [ EOLE Build Daemon ]
  * [195d778] Benjamin Bohard: Update package since “debian/eole/2.4/2.4.1-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 07 Jan 2015 10:42:30 +0100

eole-nsswitch (2.4.1-1) eole-2.4-unstable; urgency=low

  [ Joël Cuissinat ]
  * [e170a62] Packaging pour eole-nsswitch (Ref #1882 @20m)

  [ Benjamin Bohard ]
  * [64b71db] Le template nsswitch.conf est dans un paquet à part.
  * [f1956fb] Mise en commun des différentes versions du fichier nsswitch.conf
  * [cb40d44] Merge branch 'master' into dist/ubuntu/precise/master

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 07 Jan 2015 10:26:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9), dh-systemd
 Standards-Version: 3.9.3
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-nsswitch
@@ -11,6 +11,8 @@
 Package: eole-nsswitch
 Architecture: all
 Depends: ${misc:Depends}, 
+Conflicts: eole-fichier-membre (<=2.4.1-9),
+  eole-client-annuaire (<=2.4.1-1)
 Description: Configuration nsswitch pour les modules EOLE
  .
  Pour toute information complémentaire, veuillez vous rendre sur le

## eole-nsswitch 2.6.0-8

=== debian/changelog ===
eole-nsswitch (2.6.0-8) eole-2.6.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [9100dae] eole-nsswitch-ldap must start before nscd
  * [fd557e1] Merge branch '2.6.0/20511-nsswitch-depends' into 2.6.0/master
  * [3e0ae8a] Merge branch '2.6.0/master'

  [ EOLE Build Daemon ]
  * [44e9564] Daniel Dehennin: Update package since “debian/eole/2.6.0-7”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 15 May 2017 11:18:35 +0200

## eole-nsswitch 2.6.1-4

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-nsswitch
 VERSION=2.6
 EOLE_VERSION=2.6
-EOLE_RELEASE=2.6.0
+EOLE_RELEASE=2.6.1
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-nsswitch (2.6.1-4) eole-2.6.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [9100dae] eole-nsswitch-ldap must start before nscd
  * [d1c13ed] Merge branch '2.6.0/20511-nsswitch-depends' into 2.6.1/master
  * [71bc483] Merge branch '2.6.1/master'

  [ EOLE Build Daemon ]
  * [76ddc62] Daniel Dehennin: Update package since “debian/eole/2.6.1-3”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 15 May 2017 11:17:57 +0200

eole-nsswitch (2.6.1-3) eole-2.6-unstable; urgency=low

  [ Joël Cuissinat ]
  * [cc68f18] Revert "Mise à niveau de l'authentification NTLM/SMB REF #18262"
  * [7f4a23f] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [e4086be] Joël Cuissinat: Update package since “debian/eole/2.6.1-2”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 09 Dec 2016 17:24:10 +0100

eole-nsswitch (2.6.1-2) eole-2.6-unstable; urgency=low

  [ Joël Cuissinat ]
  * [ed6e138] Simplification du template nsswitch.conf (utilisation de booléens)
  * [f2b2ca7] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [8e3abc2] Joël Cuissinat: Update package since “debian/eole/2.6.1-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 06 Dec 2016 17:04:30 +0100

eole-nsswitch (2.6.1-1) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [258cfd6] Prepare version 2.6.1
  * [e1e2d7f] Merge tag 'release/2.6.1' into dist/eole/2.6.1/master

  [ Klaas TJEBBES ]
  * [1217d71] Mise à niveau de l'authentification NTLM/SMB REF #18262
  * [d0db3a8] Merge branch 'master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [f3484d8] Klaas TJEBBES: Update package since “debian/eole/2.6.0-7”

 -- Klaas TJEBBES <klaas.tjebbes@ac-dijon.fr>  Tue, 06 Dec 2016 16:23:46 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
# export DH_OPTIONS=-v

%:
	dh $@ --with systemd


override_dh_installinit:
	dh_installinit -peole-nsswitch --name=eole-nsswitch-ldap
	dh_installinit -peole-nsswitch --name=eole-nsswitch

override_dh_systemd_enable:
	dh_systemd_enable -peole-nsswitch --name=eole-nsswitch-ldap
	dh_systemd_enable -peole-nsswitch --name=eole-nsswitch
